require 'spec_helper'

describe ServState::LogManager do
  let(:manager) { described_class }
  let(:params) { { cpu: 10, ram: 20, down: 30, up: 40 } }

  it 'should append data to 10min rotator' do
    manager.start
    manager.update(params)

    output = manager.data('10min')

    params.each do |key, val|
      expect(output[key].last[:y]).to eq(val)
    end
  end

  it 'should append data to 1day rotator' do
    manager.start
    150.times { manager.update(params) }

    output = manager.data('1day')

    params.each do |key, val|
      expect(output[key].last[:y]).to eq(val)
    end
  end
end