require 'spec_helper'
describe ServState::NetworkUsage do
  let(:net) { described_class.new }

  it 'should has at least lo interface in statistic' do
    expect(net.speeds['lo']).to_not be_nil
  end
  
  it 'should has right array on each interface' do
    net.speeds.each do |k, val|
      expect(val).to be_a Array
      expect(val.size).to eq(2)
    end
  end

  it 'should contain array of not negative numbers' do
    net.speeds.each do |k, val|
      val.each { |x| expect(x).to be >=0 }
    end
  end
end